////////////////////////////////////////////////////////////////////////////
// PaxCompiler
// Site: http://www.paxcompiler.com
// Author: Alexander Baranovsky (paxscript@gmail.com)
// ========================================================================
// Copyright (c) Alexander Baranovsky, 2006-2010. All rights reserved.
// Code Version: 3.0
// ========================================================================
// Unit: PaxCompilerRegister.pas
// ========================================================================
////////////////////////////////////////////////////////////////////////////

unit PaxCompilerRegister;

interface

uses
  Classes,
  PaxCompiler,
  PaxProgram,
  PaxCompilerDebugger,
  PaxCompilerExplorer,
  PaxBasicLanguage,
  PaxJavaScriptLanguage,
  PaxEval,
  PaxInvoke;

procedure Register;

Implementation

procedure Register;
begin
  RegisterComponents('PaxCompiler',
    [TPaxCompiler,
     TPaxPascalLanguage,
     TPaxProgram,
     TPaxCompilerDebugger,
     TPaxCompilerExplorer,
     TPaxBasicLanguage,
     TPaxJavaScriptLanguage,
     TPaxEval,
     TPaxInvoke]);
end;

end.
